Subject: Re: bug#31706: Emacs 26.1 unable to visit files in vc-git buffer's links after vc-pull

From: Alan Third <[email-masked]>
Date: Sun, 10 Jun 2018 21:14:42 +0100

On Sun, Jun 10, 2018 at 07:09:50PM +0300, Eli Zaretskii wrote:
> > Date: Sun, 10 Jun 2018 16:35:54 +0100
> > From: Alan Third <[email-masked]>
> > Cc: [email-masked], [email-masked]
> > 
> > > Thanks.  Do you have an idea why it happens and what change on master
> > > fixed it?
> > 
> > It’s commit 5ea5b2536ef580fe4b17b6dbd62df90d51e73e5f. I don’t
> > understand why, though.
> 
> I presume just the vc-git part of that fixes the bug?
> 
> Maybe we should simply backport both the above commit and its
> predecessor 8f36155e8f83164c6aec98a5d1d475f28b513b53?

They both apply cleanly to emacs-26.

I wouldn’t have thought this was a big enough problem for Emacs 26.2,
though?
-- 
Alan Third